Installing tidyverse error with lubridate


#1

I am under the impression that tidyverse is supposed to be easy to install. However, I had a lot of difficulty installing it:

When I tried to install tidyverse, I got an error that I had to compile lubridate. When I tried to compile lubridate, I got an error saying that I had to run it in sudo mode. When I tried to run it in sudo mode in terminal, I got an error saying that I had to accept the Xcode license agreements. Eventually I accepted the Xcode license agreements, and did all of those steps and it worked.

Is this how it is supposed to be, or is there an error - perhaps the lubridate binaries are not available for some reason? I want to use tidyverse for teaching, but this is a lot to expect new students to do.

Ben


#2

Definitely not. I just installed the tidyverse in R 3.4.2, and didn’t run into this problem. Have you had trouble installing any other packages? The lubridate binaries have not (to my knowledge) been unavailable, but I’m not sure what could be going on.

(cc @edgararuiz , any thoughts on this one?)


#3

This just in, my knowledge is apparently pretty shoddy. There is a problem with the lubridate binaries right now. Working on getting it fixed. Sorry for the trouble, @BenRottman.


#4

Thanks for looking into it! Glad I found the right venue for reporting the issue!